Skip to main content
`Ctrl`+`K`

# PetscOptionsGetCreateViewerOff

do `PetscOptionsCreateViewer()`, `PetscOptionsViewer()`, and `PetscOptionsCreateViewers()` return viewers

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscOptionsGetCreateViewerOff(PetscBool *flg)

Logically Collective

## Output Parameter

- flg - whether viewers are returned.

## See Also

Viewers: Looking at PETSc Objects, `PetscOptionsCreateViewer()`, `PetscOptionsPushCreateViewerOff()`, `PetscOptionsPopCreateViewerOff()`

## Level

developer

## Location

src/sys/classes/viewer/interface/viewreg.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages